%global bcver   1.51

Name:           portecle
Version:        1.10
Release:        6%{?dist}
Summary:        Multipurpose keystore and certificate tool

License:        GPLv2+
URL:            http://portecle.sourceforge.net/
Source0:        http://downloads.sourceforge.net/portecle/%{name}-%{version}-src.zip
Source1:        portecle.sh.in

BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  bouncycastle >= %{bcver}
BuildRequires:  bouncycastle-pkix >= %{bcver}
BuildRequires:  desktop-file-utils
BuildRequires:  jpackage-utils
Requires:       bouncycastle >= %{bcver}
Requires:       bouncycastle-pkix >= %{bcver}
# >= 1.7.5-3.9 for _prefer_jre in launcher script (#461683, #498831)
Requires:       jpackage-utils >= 1.7.5-3.9
Requires:       hicolor-icon-theme
BuildRequires:  java-devel >= 1.7.0
Requires:       jre >= 1.7.0

%description
Portecle is a user friendly GUI application for creating, managing and
examining keystores, keys, certificates, certificate requests,
certificate revocation lists and more.


%prep
%setup -q -n %{name}-%{version}-src
rm lib/bc*.jar
cp -p src/main/net/sf/portecle/images/splash.png doc/images/


%build
%ant -Djar.classpath= -Dhelpbaseurl=file://%{_pkgdocdir}/doc/ \
    -Dbcprov.jar=$(build-classpath bcprov) \
    -Dbcpkix.jar=$(build-classpath bcpkix) jar


%install

install -Dpm 644 build/portecle.jar $RPM_BUILD_ROOT%{_javadir}/portecle.jar

install -Dpm 644 src/icons/portecle.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/portecle.png
desktop-file-install \
    --mode=644 \
    --add-mime-type=application/x-pkcs7-certificates \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications src/etc/portecle.desktop
install -Dpm 644 src/etc/portecle.appdata.xml \
    $RPM_BUILD_ROOT%{_datadir}/appdata/portecle.appdata.xml

# Enable experimental features in non-EL builds by default
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
exp="%{?rhel:false}%{!?rhel:true}"
sed -e "s|@DOCDIR@|%{_pkgdocdir}/doc|" -e "s|@EXPERIMENTAL@|$exp|" %{SOURCE1} \
    > $RPM_BUILD_ROOT%{_bindir}/portecle
chmod 755 $RPM_BUILD_ROOT%{_bindir}/portecle

%files
%license LICENSE.txt
%doc README.txt NEWS.txt doc/
%{_bindir}/portecle
%{_javadir}/portecle.jar
%{_datadir}/appdata/portecle.appdata.xml
%{_datadir}/applications/*portecle.desktop
%{_datadir}/icons/hicolor/32x32/apps/portecle.png


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.10-4
- Remove obsolete scriptlets

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb  4 2016 Ville Skyttä <ville.skytta@iki.fi> - 1.10-1
- Update to 1.10

* Tue Jun 23 2015 Ville Skyttä <ville.skytta@iki.fi> - 1.9-1
- Update to 1.9

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 31 2015 Ville Skyttä <ville.skytta@iki.fi> - 1.8-3
- Ship LICENSE.txt as %%license
- Fix Java version in dependencies

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar  9 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.8-1
- Update to 1.8.

* Sun Feb  2 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.7-10
- Install appdata file.

* Fri Jul 26 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.7-9
- Install docs to %%{_pkgdocdir} where available.

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.7-8
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7-5
- Remove unneeded JRE version check to get rid of warning at startup.

* Fri Feb 24 2012 Ville Skyttä <ville.skytta@iki.fi> - 1.7-4
- Do icon dir timestamp update in %%post with lua.
- Drop no longer needed specfile constructs.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.7-1
- Update to 1.7.

* Sat Jan 15 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6-1
- Update to 1.6.

* Sat May  8 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.5-2
- Drop workaround for #461683, require jpackage-utils containing the fix.

* Sun Jan  3 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.5-1
- Update to 1.5.

* Wed Nov 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-5
- Try to force use of a JRE instead of a SDK if $JAVA_HOME is not set to
  work around #461683 (#498831).
- Move user (shell) config file to freedesktop.org base dir spec config dir.
- Enable experimental features in non-EL builds.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-3
- Drop excess arguments to %%jpackage_script.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-1
- Update to 1.4.
- Ship docs unbundled from jar (#425834).

* Fri Feb 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.3-4
- Improve icon cache and desktop database refresh scriptlets.

* Fri Mar 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.3-3
- Adjust to icedtea->openjdk changes.

* Thu Jan 10 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.3-2
- Update GTK icon cache in post(un)install scriptlets (#425834).

* Sun Dec 16 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.3-1
- First build.
